Skip to main content
GET
/
v3
/
orgs
/
{org_id}
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/orgs/{org_id} \
  --header 'X-Session-Token: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "name": "<string>",
      "slug": "<string>",
      "sandbox": true,
      "description": "<string>",
      "settings": {}
    },
    "meta": {
      "v3": true,
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "features": [
        {
          "name": "<string>",
          "enabled": true,
          "limit": 123
        }
      ]
    },
    "relationships": {
      "users": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      },
      "service_accounts": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      },
      "groups": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      },
      "teams": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      },
      "nomenclature": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "governance": {
          "schemes": [
            {
              "singular": "<string>",
              "plural": "<string>",
              "language": "<string>"
            }
          ],
          "work_orders": [
            {
              "singular": "<string>",
              "plural": "<string>",
              "language": "<string>"
            }
          ],
          "operations": [
            {
              "singular": "<string>",
              "plural": "<string>",
              "language": "<string>"
            }
          ],
          "scheme_contracts": [
            {
              "singular": "<string>",
              "plural": "<string>",
              "language": "<string>"
            }
          ]
        }
      },
      "meta": {
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

org_id
string<uuid>
required

The unique identifier for the organisation.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
nomenclature

Response

Get an organisation.

JSON API response object

data
object
required

An organisation

jsonapi
object
required
included
object[]

Related resources that can be included when an organisation is returned